package com.logicbig.example;

public class Rule6Example {

    public static void main(String[] args) {
        boolean b = true;
        byte t = 1;
        Short s = 2;
        int i = 3;
        long l = 4;
        float f = 6;
        double d = 7;

        print(b ? t : l);
        print(b ? t : f);
        print(b ? s : l);
        print(b ? i : f);
        print(b ? l : f);
        print(b ? s : d);
        print(b ? i : l);
    }

    private static void print(byte v) {
        System.out.print("primitive byte, ");
        System.out.println(v);
    }

    private static void print(short s) {
        System.out.print("primitive short: ");
        System.out.println(s);
    }

    private static void print(int v) {
        System.out.print("primitive int: ");
        System.out.println(v);
    }

    private static void print(long v) {
        System.out.print("primitive long: ");
        System.out.println(v);
    }

    private static void print(float v) {
        System.out.print("primitive float: ");
        System.out.println(v);
    }

    private static void print(double v) {
        System.out.print("primitive double: ");
        System.out.println(v);
    }

    private static void print(Object v) {
        System.out.printf("wrapper : %s, ", v.getClass());
        System.out.println(v);
    }
}